#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 41. Other X-based Programs

- Prev

  feh-3.12.1

- Next

  FreeRDP-3.25.0

- Up
- Home

# FontForge-20251009

## Introduction to FontForge

The FontForge package contains an outline font editor that lets you create your own postscript, truetype, opentype, cid-keyed, multi-master, cff, svg and bitmap (bdf, FON, NFNT) fonts, or edit existing ones.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/fontforge/fontforge/releases/download/20251009/fontforge-20251009.tar.xz

- Download MD5 sum: 9407db5126f937618f1f5f1f9ee8aab2

- Download size: 13 MB

- Estimated disk space required: 170 MB (add 51 MB for the tests)

- Estimated build time: 0.4 SBU (with parallelism=4, add 0.1 SBU for the tests)

### FontForge Dependencies

#### Required

Gtkmm-3.24.10, libspiro-20220722, and libxml2-2.15.3

#### Optional

giflib-6.1.3, git-2.53.0, libjpeg-turbo-3.1.4.1, libtiff-4.7.1, sphinx-9.1.0 (to build html documentation), and WOFF2-1.0.2

## Installation of FontForge

Install FontForge by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr \
          -D CMAKE_BUILD_TYPE=Release  \
          -W no-dev .. &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

If you have installed sphinx-build, HTML documentation was built and installed in `/usr/share/doc/fontforge`. To be able to access it as a versioned directory, create a symlink as the `root` user:

    ln -sv fontforge /usr/share/doc/fontforge-20251009

## Command Explanations

`-D CMAKE_BUILD_TYPE=Release`: This switch is used to create an optimized release without debug information.

`-W no-dev`: This switch is used to suppress warnings intended for the package's developers.

## Contents

Installed Programs: fontforge, fontimage, fontlint and sfddiff
Installed Library: libfontforge.so and /usr/lib/python3.14.4/site-packages/{fontforge,psMat}.so
Installed Directories: /usr/share/fontforge and optionally /usr/share/doc/fontforge{,-20251009}

### Short Descriptions

fontforge | is a program that allows you to create and modify font files
fontimage | is a program that produces an image showing representative glyphs of the font
fontlint | is a program that checks the font for certain common errors
sfddiff | is a program that compares two font files

- Prev

  feh-3.12.1

- Next

  FreeRDP-3.25.0

- Up
- Home